Subject: 24.0.92; dired with -b switch and deleting files

From: Michael Heerdegen <[email-masked]>
Date: Tue, 24 Jan 2012 21:55:47 +0100

Hello,

since some days, dired respects the -b switch.  See #10469 for details.

The problem I found now is the following:

I open a dired buffer with switches containing -b.

When I delete (D) or rename (R) a file containing escaped characters
(e.g. spaces), the file's line is not automatically removed from the
dired buffer.  I have to hit g to update the buffer accordingly.

Thanks,

Michael.

In GNU Emacs 24.0.92.1 (i486-pc-linux-gnu, GTK+ Version 3.2.3)
 of 2012-01-19 on zelenka, modified by Debian
 (emacs-snapshot package, version 1:20120119-1)
Windowing system distributor `The X.Org Foundation', version 11.0.11103901
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.0.92/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.0.92/site-lisp:/usr/share/emacs/site-lisp' '--without-compress-info' '--with-crt-dir=/usr/lib/i386-linux-gnu/' '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2''

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t